{
  "description": "ContainerStatus contains details for the current status of this container.",
  "properties": {
    "containerID": {
      "description": "Container's ID in the format '<type>://<container_id>'.",
      "type": [
        "string",
        "null"
      ]
    },
    "image": {
      "description": "The image the container is running. More info: https://kubernetes.io/docs/concepts/containers/images.",
      "type": [
        "string",
        "null"
      ]
    },
    "imageID": {
      "description": "ImageID of the container's image.",
      "type": [
        "string",
        "null"
      ]
    },
    "lastState": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ContainerState",
      "description": "Details about the container's last termination condition."
    },
    "name": {
      "description": "This must be a DNS_LABEL. Each container in a pod must have a unique name. Cannot be updated.",
      "type": [
        "string",
        "null"
      ]
    },
    "ready": {
      "description": "Specifies whether the container has passed its readiness probe.",
      "type": [
        "boolean",
        "null"
      ]
    },
    "restartCount": {
      "description": "The number of times the container has been restarted.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "started": {
      "description": "Specifies whether the container has passed its startup probe. Initialized as false, becomes true after startupProbe is considered successful. Resets to false when the container is restarted, or if kubelet loses state temporarily. Is always true when no startupProbe is defined.",
      "type": [
        "boolean",
        "null"
      ]
    },
    "state": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.ContainerState",
      "description": "Details about the container's current condition."
    }
  },
  "required": [
    "name",
    "ready",
    "restartCount",
    "image",
    "imageID"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/containerstatus/v1"
}